/* #region @-rules */
@keyframes scroll {
	0% {
		translate: 10% 0;
	}

	100% {
		translate: -100% 0;
	}
}

@keyframes slideUp {
	0% {
		translate: 0 30px;
	}

	100% {
		opacity: 1;
	}
}

@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--blue);
	text-decoration: none;
	transition: all .2s;
}

body {
	background-color: var(--bluedark);
	color: var(--greydark);
	font-family: var(--font-sans);
}

h1, h2 {
	font-weight: normal;
	line-height: 1;
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: 1px dotted var(--greylight);
	margin: 2rem 0;
}

html {
	font-size: 110%;
	line-height: 1.6;
	min-height: 101%;
	width: 100%;
}

img {
	height: auto;
	max-width: 100%;
}

li {
	color: var(--grey);
	font-size: .9rem;
	padding-left: .5em;
}

ol {
	margin-left: 1.5rem;
}

p {
	font-size: 1rem;
	line-height: 1.6;
	margin-bottom: 1.2rem;
	text-wrap: pretty;
}

sup {
	font-size: .5em;
	margin: 0 .1rem;
	position: relative;
	top: -.7em;
	vertical-align: 0;
}

ul {
	list-style: none;
	padding: 0;
}

/* #endregion */
/* #region Global */
.animation-slide-up {
	animation: slideUp 1.5s ease forwards;
	opacity: 0;
}

.animation-slide-up--delay1 {
	animation: slideUp 1.5s ease .5s forwards;
	opacity: 0;
}

.animation-slide-up--delay2 {
	animation: slideUp 1.5s ease .5s forwards;
	opacity: 0;
}

.btn {
	border-radius: .2rem;
	display: inline-block;
	font-weight: 700;
	letter-spacing: 3px;
	line-height: 1;
	padding: .9rem 1.2rem;
	text-transform: uppercase;
	transition: all .2s;

	&:hover {
		text-decoration: none;
	}
}

.content {
	margin-inline: auto;
	max-width: 1200px;
	padding-inline: var(--px32);
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--blue90);
	padding: 1rem 0;
	position: fixed;
	transition: all .5s;
	width: 100%;
	z-index: 10;

	@media (width < 600px) {
		padding-bottom: .5rem;
	}
}

.header-grid {
	display: grid;
	grid-column-gap: 5rem;
	grid-template-columns: auto auto;
	justify-content: start;
	justify-items: start;
	transition: all .5s;

	@media (width < 1200px) {
		grid-template-columns: auto;
		justify-content: center;
		justify-items: center;
	}
}

.header-logo {
	@media (width < 1200px) {
		width: 200px;
	}
}

.logo {
	transition: all .5s;
	width: 220px;

	@media (width < 600px) {
		width: 180px;
	}
}

.logo-scrolled {
	width: 150px;
}

.nav {
	font-size: calc(.7rem + .1vw);
	letter-spacing: 2px;
	text-align: center;
	text-transform: uppercase;

	@media (width < 1200px) {
		&.nav-open {
			margin: 1rem 0;
			max-height: 25rem;
		}
	}

	@media (width < 600px) {
		margin-top: .5rem;
	}

	a {
		border-bottom: 2px solid transparent;
		color: var(--white70);
		display: inline-block;
		padding-bottom: .5em;
		transition: all .2s, border .2s;

		@media (width < 1200px) {
			border: 0;
			line-height: 1;
		}

		&:hover {
			border-color: white;
			color: white;
			text-decoration: none;
		}
	}
}

.nav-grid {
	align-items: center;
	display: grid;
	grid-auto-flow: column;
	grid-column-gap: calc(1em + .4vw);

	@media (width < 1200px) {
		grid-auto-flow: row;
		grid-row-gap: 1em;
		max-height: 0;
		overflow: hidden;
		transition: max-height .5s;
	}
}

.nav-toggle {
	color: var(--white70);
	display: none;
	font-size: 1.4rem;
	margin: 0 auto;

	@media (width < 1200px) {
		display: block;
		transition: all .2s;

		&:hover {
			color: white;
		}
	}

	&:hover {
		cursor: pointer;
	}
}

/* #endregion */
/* #region Footer */
.footer {
	color: var(--white70);
	padding: 4rem 0 10rem;
	text-align: center;

	a {
		color: var(--white70);
		transition: color .2s;

		&:hover {
			color: white;
			text-decoration: none;
		}
	}

	p {
		font-size: 1rem;
		line-height: 1.3;
	}
}

.footer-grid {
	display: grid;
	grid-gap: 2rem 5rem;
	grid-template-columns: auto auto;
	justify-content: center;
}

/* #endregion */
/* #region Home */
.hero {
	background: linear-gradient(to bottom, transparent 30%, var(--blue)), url("https://ripcord.sirv.com/EchoBridge/background.jpg") center/cover no-repeat;
	color: white;
	text-align: center;
}

.hero-btn {
	background-color: var(--white30);
	border: 2px solid var(--white70);
	color: var(--white90);
	font-size: .9rem;

	&:hover {
		background-color: var(--white70);
		border-color: white;
		color: var(--blue);
	}
}

.hero-container {
	color: var(--white90);
	margin: 0 auto;
	max-width: 80%;
	padding: 50vh 0 10rem;

	@media (width < 600px) {
		max-width: 100%;
	}

	p {
		font-size: 1.2rem;
		margin-bottom: 3rem;

		@media (width < 600px) {
			font-size: 1rem;
			line-height: 1.4;
		}
	}
}

.hero-title {
	font-size: calc(2.7rem + .5vw);
	font-weight: 700;
	line-height: 1;
	margin: 0 auto .5em;
}

.hero-title-sub {
	font-size: calc(1.3rem + .5vw);
	margin-bottom: 2rem;
}

/* #endregion */
/* #region Sub */
.sub {
	background: var(--white90);
	min-height: 70vh;
	padding-block: 12rem 6rem;

	a:hover {
		text-decoration: underline;
	}

	h1 {
		font-size: var(--fz32);
		font-weight: 500;
		margin-bottom: 1em;
		text-transform: uppercase;
	}

	h2 {
		font-size: calc(1.1rem + .2vw);
		line-height: 1.2;
		margin: 1.2em 0 .2em;
	}

	li {
		color: var(--grey);
		font-size: .9rem;
		list-style: disc;
	}

	li + li {
		margin: .6em 0 0;
	}

	ul {
		margin: 0 0 2em 1.3em;
	}
}

.subhero {
	background: var(--hero-grad), var(--hero-bg) center/cover no-repeat;
	color: white;
	height: 30vh;
}

/* #endregion */
/* #region Sub-Contact */
.contact-addressblock {
	display: grid;
	grid-gap: 0 1.5rem;
	grid-template-columns: 150px auto;
	margin-bottom: 1rem;
}

.contact-city {
	font-size: 1.5rem;
	margin-bottom: .4em;
}

.contact-grid {
	display: grid;
	grid-gap: 5rem;
	grid-template-columns: 1fr 1fr;

	@media (width < 1200px) {
		grid-template-columns: auto;
	}

	img {
		filter: saturate(0) brightness(1.4) contrast(.8);
	}
}

/* #endregion */
/* #region Sub-Investments */
.investments-grid {
	display: grid;
	grid-gap: 1rem;
	grid-template-columns: repeat(3, 1fr);

	@media (width < 900px) {
		grid-template-columns: repeat(2, 1fr);
	}

	@media (width < 600px) {
		grid-template-columns: auto;
	}

	> div {
		background-color: var(--white70);
		padding: 2rem 2rem 0;
		text-align: center;

		@media (width < 600px) {
			padding: 1rem;
		}
	}

	img {
		margin-bottom: .7rem;
	}

	p {
		font-weight: 700;
	}

	ul {
		text-align: left;
	}
}

.investments-title {
	font-size: 1.2rem;
	font-weight: 700;
	line-height: 1.2;
	margin-bottom: .1em;
}

/* #endregion */
/* #region Sub-Team */
.team-bio {
	img {
		border: .5rem solid white;
		box-shadow: 1px 1px 6px 1px var(--greylight);
		margin-bottom: 1rem;
	}
}

.team-bio-title {
	font-size: 1.5rem;
	margin-bottom: .2em;
}

.team-bio-title-sub {
	font-size: 1.2rem;
	margin-bottom: 1rem;
}

.team-bio1,
.team-bio2,
.team-bio3 {
	@media (width < 1200px) {
		grid-column: 1/-1;
	}
}

.team-grid {
	display: grid;
	grid-gap: 6rem;
	grid-template-columns: auto auto;

	@media (width < 1200px) {
		grid-template-columns: auto;
	}
}

/* #endregion */